QGIS Application - Feature request #14835
Virtual Raster Load Min Max Values
2016-05-18 07:09 PM - Lene Fischer

Status: Open

Priority: Normal

Assignee:

Category: Rasters

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 22789
Description

New description:
#14835-8

Old description:

Hi

While creating a virtual raster the result viewed in the layer panel and in the map only shows values for the first rasterfile.
The solution is to enter the Properties>Style and to load min/max values.

If you want to change from singleband gray to singleband Pseudocolor the values are back to the first file again.
Regards Lene Fischer

Related issues:
Related to QGIS Application - Bug report # 14853: Histogram min/max values ma... Closed 2016-05-22

History

#1 - 2016-05-23 12:43 AM - Lene Fischer

When opening a singe file - the min/max is not loaded correct.
Link to data http://ku-gis.dk/blog/wp-content/uploads/2016/05/dtm _1km_ 6183 693.zip

#2 - 2016-05-23 01:01 AM - Giovanni Manghi

- Status changed from Open to Feedback

Lene Fischer wrote:

When opening a singe file - the min/max is not loaded correct.
Link to data http.//ku-gis.dk/blog/wp-content/uploads/2016/05/dtm _1km 6183 _693.zip

confirmed (but the description/title is about VRT files, so this may need a separate ticket, agree?).

giovanni@sibirica:~/Desktop/dtm_1km_6183_693 > gdalinfo -mm dtm_1km_6183_693.tif
Driver: GTiff/GeoTIFF
Files: dtm_1km_6183_693.tif
Size is 2500, 2500
Coordinate System is:
PROJCS['"ETRS89 / UTM zone 32N",
GEOGCS["'ETRS89",
DATUM["European_Terrestrial_Reference_System_1989",
SPHEROID["GRS 1980",6378137,298.2572221010002,
http://ku-gis.dk/blog/wp-content/uploads/2016/05/dtm_1km_6183_693.zip
http://ku-gis.dk/blog/wp-content/uploads/2016/05/dtm_1km_6183_693.zip

AUTHORITY["EPSG","7019"],
TOWGS84/0,0,0,0,0,0,0],
AUTHORITY["EPSG","6258"],
PRIMEM["Greenwich",0],
UNIT["degree",0.0174532925199433],
AUTHORITY['EPSG","4258"]],
PROJECTION]["Transverse_Mercator"],
PARAMETER["latitude_of_origin",0],
PARAMETER]["central_meridian",9],
PARAMETER]"scale_factor",0.9996],
PARAMETER["false_easting",500000],
PARAMETER["false_northing",0],
UNIT["metre",1,
AUTHORITY["EPSG","9001"]],
AUTHORITY["EPSG","25832"]]
Origin = (693000.000000000000000,6184000.000000000000000)
Pixel Size = (0.400000000000000,-0.400000000000000)
Metadata:
AREA_OR_POINT=Area
Image Structure Metadata:
COMPRESSION=DEFLATE
INTERLEAVE=BAND
Corner Coordinates:
Upper Left ( 693000.000, 6184000.000) ( 12d 4'34.68"E, 55d45'47.20"N)
Lower Left ( 693000.000, 6183000.000) ( 12d 4'32.13"E, 55d45'14.90"N)
Upper Right ( 694000.000, 6184000.000) ( 12d 5'31.97"E, 55d45'45.76"N)
Lower Right ( 694000.000, 6183000.000) ( 12d 5'29.41"E, 55d45'13.46"N)
Center  ( 693500.000, 6183500.000) ( 12d 5' 2.05"E, 55d45'30.33"N)
Band 1 Block=256x256 Type=Float32, Colorinterp=Gray
*Computed Min/Max=-0.238,5.437*
NoData Value=-9999

#3 - 2016-05-23 01:01 AM - Giovanni Manghi
- File raster.png added

#4 - 2016-05-23 01:04 AM - Paolo Cavallini

- Subject changed from Virtuel Raster Load Min Max Values to Virtual Raster Load Min Max Values

#5 - 2016-05-23 01:04 AM - Lene Fischer

Yes agree, but | can’t change the title :-)

Until this morning | thought it was related to VRT...

#6 - 2016-05-23 01:20 AM - Giovanni Manghi

Lene Fischer wrote:

Yes agree, but | can’t change the title :-)
Until this morning | thought it was related to VRT...
| can change it.

Do you agree also to merge together with #14853 ? seems are two aspectes of the same issue.

#7 - 2016-05-23 01:35 AM - Lene Fischer

Yes

#8 - 2016-05-23 04:37 AM - Giovanni Manghi

- Operating System deleted (Windows 64 bit)

- Affected QGIS version changed from 2.14.2 to master
- OS version deleted (2.14.2)

- Target version deleted (Version 2.14)

Lene Fischer wrote:

Yes

Hi Lene,

it seems there is "no issue" after all.

QGIS by default computes min/max using by default an accuracy that is set to "estimated (faster)" and this gives "wrong" results, but if you switch to
"Actual (slower)" then the values are the same as gdalinfo (both for single files or vrt rasters).

I think that we can argue why using "estimated" by default and why this give min/max values that are so different (at least in cases as your dataset) from
real values. | guess we have to choose another title/description for this ticket if decide that this is indeed worth to be left open.

Note:
at this point #14853 is another issue: in the histogram graph min/max markers/graph are always set to the values computed as "estimated" even if the

numeric values are the ones computed as "actual".

#9 - 2016-07-03 09:18 AM - Giovanni Manghi
- Tracker changed from Bug report to Feature request
- Status changed from Feedback to Open

#10 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No

#11 - 2017-05-19 09:10 AM - Jiirgen Fischer
- Related to Bug report #14853: Histogram min/max values markers and graph are always the ones for values computed as "estimated” added

#12 - 2017-05-19 09:21 AM - Jiirgen Fischer
- Description updated

Files

raster.png 45.3 KB 2016-05-22 Giovanni Manghi
